# Application name - will be used for the ECS service name and subdomain
# Example: myapp will be deployed to myapp.labs.incode.com
app_name: myapp

# Application description - will be displayed on the labs.incode.com index page
# This helps researchers understand what your application does
description: My awesome application

# Docker image name - will be used for the ECR repository name
# This can be different from the app_name
image: myapp-image

# Docker image tag - defaults to 'latest' if not specified
tag: latest

# Port that your application exposes
# This should match the port your application listens on inside the container
container_port: 8080

# Instance size for the ECS Fargate task (optional)
# Defaults to 'small' if not specified
# Available sizes:
#   - small:   0.25 vCPU,  512 MB RAM (default, for simple APIs)
#   - medium:  0.5 vCPU,  1024 MB RAM (moderate workloads)
#   - large:   1 vCPU,    2048 MB RAM (heavier processing)
#   - xlarge:  2 vCPU,    4096 MB RAM (video processing, ML inference)
#   - xxlarge: 4 vCPU,    8192 MB RAM (heavy compute workloads)
# instance_size: small

# Set to true to destroy the application stack instead of deploying it
# This is useful for cleaning up resources when you no longer need the application
# destroy-app: true

# List of secrets that your application needs
# These secrets should be added to your GitHub repository secrets
# They will be automatically exported to AWS Secrets Manager
# and will be accessible to your application
secrets:
  - API_KEY
  - DATABASE_PASSWORD
  # Add more secrets as needed

# Environment Variables
# All repository variables defined in your GitHub repository will be automatically
# exported to environment variables for the deployed application.
